GSIZE(3PVM)

NAME
pvm_gsize - Returns the number of members presently in the named group.

SYNOPSIS
C	int size = pvm_gsize( char *group )

Fortran	call pvmfgsize( group, size )

PARAMETERS

group
    Character string group name of an existing group.

size
    Integer returning the number of members presently in the group. Values less than zero indicate an error.

DESCRIPTION
The routine pvm_gsize returns the size of the group named group. If there is an error size will be negative.

Since groups can change dynamically in PVM 3.0, this routine can only guarantee to return the instantaneous size of a given group.

EXAMPLES
C:
	size = pvm_gsize( "worker" );

Fortran:
	CALL PVMFGSIZE( 'group2', SIZE )

ERRORS
These error conditions can be returned by pvm_gsize

PvmSysErr
    pvmd was not started or has crashed.

PvmBadParam
    giving an invalid group name.

SEE ALSO
pvm_joingroup(3PVM)